1

I am new to MongoDB. I am trying to create a Replica Set for testing and development. It shows me the message in the picture!

screenshot

I followed the steps shown in the official documentation:

Deploy a Replica Set for Testing and Development

What is the problem please ?

1
  • 2
    Welcome to StackExchange. Try to rephrase your question. Tell us what the problem seems to be (include the error output as text instead of screenshots), and maybe someone will be able to help you with a solution. Feb 17 '16 at 22:36
1

You are using 32-bit OS and 32-bit builds do not support the WiredTiger storage engine.

You need to use either 64-bit or change your storage engine to mmapv1 as suggested in screenshot by passing parameter explicitly. --storageEngine=mmapv1

check here https://docs.mongodb.org/manual/administration/production-notes/

0

It looks like you installed the 32-bit version of MongoDB, and are attempting to use the WiredTiger storage engine. They are not compatible. See here. You'll need to reconfigure your install to use mmapv1 instead.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.